%def_without static
%define shortname libshout

Name: libshout2
Version: 2.2.2
Release: alt1

Summary: libshout - icecast source streaming library
Group: System/Libraries
License: LGPL
Url: http://www.icecast.org
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %shortname-%version.tar.gz

%if_with static
BuildRequires: glibc-devel-static
%endif
BuildRequires: libogg-devel libvorbis-devel libtheora-devel libspeex-devel

%description
Libshout is a library for communicating with and sending data to an
icecast server. It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package devel
Summary: icecast2 source streaming library development package
Group: Development/C
Requires: %name = %version-%release

%description devel
The libshout2-devel package contains the header files needed for developing
applications that send data to an icecast2 server. Install libshout2-devel if
you want to develop applications using libshout2.

%package devel-static
Summary: icecast2 static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libshout2 library. Install
libshout2-devel-static if you want to develop applications statically linked
with libshout2.

%prep
%setup -q -n %shortname-%version

%build
%__autoreconf
%configure \
	--includedir=/usr/include/shout2 \
	--oldincludedir=/usr/include/shout2

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
rm -f %buildroot%_libdir/*.la
%if_without static
rm -f %buildroot%_libdir/*.a
%endif

mv %buildroot%_datadir/doc/libshout %buildroot%_datadir/doc/%name-%version

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc %_datadir/doc/*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Sun Jan 14 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.2.2-alt1
- 2.2.2 release.
- Merged into git.
- Some buildrequires cleanup.
- Disable static build by default.
- Added a patch fixing problem build with speex enabled.

* Sat Jan 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.2-alt1
- 2.2 release.
- reworked patch.

* Mon Mar 14 2005 Pavlov Konstantin <thresh@altlinux.ru> 2.1-alt1.1
- fixed wrong patch.

* Fri Mar 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 2.1-alt1
- 2.1 release.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt2
- Fixed bug #5544.
- so name changed to libshout2.
- spec cleanup.

* Wed Oct 20 2004 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt1
- Initial build for Sisyphus.
